Redmine - Defect #11476

No redirect when after logged in
2012-07-23 00:28 - # And

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Accounts / authentication Estimated time: 0.00 hour

Target version:

Resolution: Invalid Affected version: 2.0.3

Description

When | go on project page unauthorized, my request redirecting to url like:
http://redmine/login?back_url=http%3A%2F%2Fthin_redmine%2Fprojects%2F my-project%2Fsettings

But when | logged in, after inputing login and password, request redirected to "my page", not to project page. Is it bug?

History

#1 - 2012-07-23 00:41 - # And
Found the bug. Why host in back url - thin_redmine?

#2 - 2012-07-23 15:11 - Etienne Massip

What URL did you set in your administration settings?

#3 - 2012-07-23 15:16 - # And

It is not thin_redmine.
#4 - 2012-07-23 15:18 - # And

| use nginx - thin - redmine, if you want to know. One time when | use thin_redmine keyword - it is nginx upstream. Redmine system use
SERVER_NAME or name from settings? | think SERVER_NAME is thin_redmine.

#5 - 2012-08-15 23:18 - # And

- Status changed from New to Resolved

Ok, configuration issue. Thanks for reply.

#6 - 2012-09-09 11:39 - Jean-Philippe Lang
- Status changed from Resolved to Closed

- Resolution set to Invalid

OK, thanks for the feedback.

#7 - 2013-08-28 09:34 - Terence Mill

| have the same issue using apache(mod_proxy)+webrick. Can u help me. What was the config issue, how to solve it?

If i logged out and put user/pwd again on this site anc click login i don't get redirected to the main site, If i click "login" in the main menue i am already
logged in and get redirect correctly. It only does not work i my browser points to
https://myredmine.loc/login?back_url=http%253A%252F%252F myredmine.loc%252F
